Installation

Installation

Requirements

Articulate currently requires the following;

It also requires a source providing the sprocketbox/articulate-source virtual package.

Installing alongside Laravel

To install alongside Laravel you'll want to install the sprocketbox/articulate-illuminate package by running the following command in your terminal;

composer require sprocketbox/articulate-illuminate "~1" --prefer-dist

The above package will include sprocketbox/articulate by default, but if you'd like more control over that you can require it using the following command;

composer require sprocketbox/articulate "~1" --prefer-dist

Registering your source

Make sure to register the source in the configuration file.

Installing without Laravel

Articulate requires Laravel to work as it relies on collections. This will be rectified in a future version.